package com.zyzf.coffeepreorder.database.repository

import androidx.paging.PagingData
import com.zyzf.coffeepreorder.database.model.Coffee
import kotlinx.coroutines.flow.Flow

interface CoffeeRepository {
    fun getAllCoffees(): Flow<PagingData<Coffee>>
    suspend fun getByUid(uid: Int): Coffee?
    suspend fun insert(coffee: Coffee): Long
    suspend fun update(coffee: Coffee): Int
    suspend fun delete(coffee: Coffee)
}